Loading...
Searching...
No Matches
vkd3d_shader_parameter Struct Reference

An individual shader parameter. More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_parameter:
[legend]

## Data Fields

enum vkd3d_shader_parameter_name | name
enum vkd3d_shader_parameter_type | type
enum vkd3d_shader_parameter_data_type | data_type
union { |
struct vkd3d_shader_parameter_immediate_constant immediate_constant |
struct vkd3d_shader_parameter_specialization_constant specialization_constant |
} | u

## Detailed Description

An individual shader parameter.

This structure is an earlier version of struct vkd3d_shader_parameter1 which supports fewer parameter types; refer to that structure for usage information.

Only the following types may be used with this structure:

- VKD3D_SHADER_PARAMETER_TYPE_IMMEDIATE_CONSTANT
- VKD3D_SHADER_PARAMETER_TYPE_SPECIALIZATION_CONSTANT

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h